# Generated by Django 4.2.18 on 2025-03-06 13:34

import uuid

import django.core.serializers.json
import django.core.validators
import django.db.models.deletion
import nautobot.core.models.fields
import nautobot.extras.models.mixins
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("extras", "0122_add_graphqlquery_owner_content_type"),
        ("ipam", "0050_vlangroup_range"),
    ]

    operations = [
        migrations.CreateModel(
            name="DNSZoneModel",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "_custom_field_data",
                    models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder),
                ),
                ("name", models.CharField(max_length=200, unique=True)),
                (
                    "ttl",
                    models.IntegerField(
                        default=3600,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                ("filename", models.CharField(max_length=200)),
                ("description", models.TextField(blank=True)),
                ("soa_mname", models.CharField(max_length=200)),
                ("soa_rname", models.EmailField(max_length=254)),
                (
                    "soa_refresh",
                    models.IntegerField(
                        default=86400,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                (
                    "soa_retry",
                    models.IntegerField(
                        default=7200,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                (
                    "soa_expire",
                    models.IntegerField(
                        default=3600000,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                (
                    "soa_serial",
                    models.IntegerField(
                        default=0,
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                (
                    "soa_minimum",
                    models.IntegerField(
                        default=3600,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                ("tags", nautobot.core.models.fields.TagsField(through="extras.TaggedItem", to="extras.Tag")),
            ],
            options={
                "verbose_name": "DNS Zone",
                "verbose_name_plural": "DNS Zones",
            },
            bases=(
                nautobot.extras.models.mixins.DynamicGroupMixin,
                nautobot.extras.models.mixins.NotesMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="TXTRecordModel",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "_custom_field_data",
                    models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder),
                ),
                ("name", models.CharField(max_length=200)),
                (
                    "ttl",
                    models.IntegerField(
                        default=3600,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                ("description", models.TextField(blank=True)),
                ("comment", models.CharField(blank=True, max_length=200)),
                ("text", models.CharField(max_length=256)),
                ("tags", nautobot.core.models.fields.TagsField(through="extras.TaggedItem", to="extras.Tag")),
                (
                    "zone",
                    nautobot.core.models.fields.ForeignKeyWithAutoRelatedName(
                        on_delete=django.db.models.deletion.PROTECT, to="nautobot_dns_models.dnszonemodel"
                    ),
                ),
            ],
            options={
                "verbose_name": "TXT Record",
                "verbose_name_plural": "TXT Records",
                "unique_together": {("name", "text", "zone")},
            },
            bases=(
                nautobot.extras.models.mixins.DynamicGroupMixin,
                nautobot.extras.models.mixins.NotesMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="PTRRecordModel",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "_custom_field_data",
                    models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder),
                ),
                ("name", models.CharField(max_length=200)),
                (
                    "ttl",
                    models.IntegerField(
                        default=3600,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                ("description", models.TextField(blank=True)),
                ("comment", models.CharField(blank=True, max_length=200)),
                ("ptrdname", models.CharField(max_length=200)),
                ("tags", nautobot.core.models.fields.TagsField(through="extras.TaggedItem", to="extras.Tag")),
                (
                    "zone",
                    nautobot.core.models.fields.ForeignKeyWithAutoRelatedName(
                        on_delete=django.db.models.deletion.PROTECT, to="nautobot_dns_models.dnszonemodel"
                    ),
                ),
            ],
            options={
                "verbose_name": "PTR Record",
                "verbose_name_plural": "PTR Records",
                "unique_together": {("name", "ptrdname", "zone")},
            },
            bases=(
                nautobot.extras.models.mixins.DynamicGroupMixin,
                nautobot.extras.models.mixins.NotesMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="NSRecordModel",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "_custom_field_data",
                    models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder),
                ),
                ("name", models.CharField(max_length=200)),
                (
                    "ttl",
                    models.IntegerField(
                        default=3600,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                ("description", models.TextField(blank=True)),
                ("comment", models.CharField(blank=True, max_length=200)),
                ("server", models.CharField(max_length=200)),
                ("tags", nautobot.core.models.fields.TagsField(through="extras.TaggedItem", to="extras.Tag")),
                (
                    "zone",
                    nautobot.core.models.fields.ForeignKeyWithAutoRelatedName(
                        on_delete=django.db.models.deletion.PROTECT, to="nautobot_dns_models.dnszonemodel"
                    ),
                ),
            ],
            options={
                "verbose_name": "NS Record",
                "verbose_name_plural": "NS Records",
                "unique_together": {("name", "server", "zone")},
            },
            bases=(
                nautobot.extras.models.mixins.DynamicGroupMixin,
                nautobot.extras.models.mixins.NotesMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="MXRecordModel",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "_custom_field_data",
                    models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder),
                ),
                ("name", models.CharField(max_length=200)),
                (
                    "ttl",
                    models.IntegerField(
                        default=3600,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                ("description", models.TextField(blank=True)),
                ("comment", models.CharField(blank=True, max_length=200)),
                (
                    "preference",
                    models.IntegerField(
                        default=10,
                        validators=[
                            django.core.validators.MinValueValidator(0),
                            django.core.validators.MaxValueValidator(65535),
                        ],
                    ),
                ),
                ("mail_server", models.CharField(max_length=200)),
                ("tags", nautobot.core.models.fields.TagsField(through="extras.TaggedItem", to="extras.Tag")),
                (
                    "zone",
                    nautobot.core.models.fields.ForeignKeyWithAutoRelatedName(
                        on_delete=django.db.models.deletion.PROTECT, to="nautobot_dns_models.dnszonemodel"
                    ),
                ),
            ],
            options={
                "verbose_name": "MX Record",
                "verbose_name_plural": "MX Records",
                "unique_together": {("name", "mail_server", "zone")},
            },
            bases=(
                nautobot.extras.models.mixins.DynamicGroupMixin,
                nautobot.extras.models.mixins.NotesMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="CNAMERecordModel",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "_custom_field_data",
                    models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder),
                ),
                ("name", models.CharField(max_length=200)),
                (
                    "ttl",
                    models.IntegerField(
                        default=3600,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                ("description", models.TextField(blank=True)),
                ("comment", models.CharField(blank=True, max_length=200)),
                ("alias", models.CharField(max_length=200)),
                ("tags", nautobot.core.models.fields.TagsField(through="extras.TaggedItem", to="extras.Tag")),
                (
                    "zone",
                    nautobot.core.models.fields.ForeignKeyWithAutoRelatedName(
                        on_delete=django.db.models.deletion.PROTECT, to="nautobot_dns_models.dnszonemodel"
                    ),
                ),
            ],
            options={
                "verbose_name": "CNAME Record",
                "verbose_name_plural": "CNAME Records",
                "unique_together": {("name", "alias", "zone")},
            },
            bases=(
                nautobot.extras.models.mixins.DynamicGroupMixin,
                nautobot.extras.models.mixins.NotesMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="ARecordModel",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "_custom_field_data",
                    models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder),
                ),
                ("name", models.CharField(max_length=200)),
                (
                    "ttl",
                    models.IntegerField(
                        default=3600,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                ("description", models.TextField(blank=True)),
                ("comment", models.CharField(blank=True, max_length=200)),
                ("address", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="ipam.ipaddress")),
                ("tags", nautobot.core.models.fields.TagsField(through="extras.TaggedItem", to="extras.Tag")),
                (
                    "zone",
                    nautobot.core.models.fields.ForeignKeyWithAutoRelatedName(
                        on_delete=django.db.models.deletion.PROTECT, to="nautobot_dns_models.dnszonemodel"
                    ),
                ),
            ],
            options={
                "verbose_name": "A Record",
                "verbose_name_plural": "A Records",
                "unique_together": {("name", "address", "zone")},
            },
            bases=(
                nautobot.extras.models.mixins.DynamicGroupMixin,
                nautobot.extras.models.mixins.NotesMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="AAAARecordModel",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "_custom_field_data",
                    models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder),
                ),
                ("name", models.CharField(max_length=200)),
                (
                    "ttl",
                    models.IntegerField(
                        default=3600,
                        validators=[
                            django.core.validators.MinValueValidator(300),
                            django.core.validators.MaxValueValidator(2147483647),
                        ],
                    ),
                ),
                ("description", models.TextField(blank=True)),
                ("comment", models.CharField(blank=True, max_length=200)),
                ("address", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="ipam.ipaddress")),
                ("tags", nautobot.core.models.fields.TagsField(through="extras.TaggedItem", to="extras.Tag")),
                (
                    "zone",
                    nautobot.core.models.fields.ForeignKeyWithAutoRelatedName(
                        on_delete=django.db.models.deletion.PROTECT, to="nautobot_dns_models.dnszonemodel"
                    ),
                ),
            ],
            options={
                "verbose_name": "AAAA Record",
                "verbose_name_plural": "AAAA Records",
                "unique_together": {("name", "address", "zone")},
            },
            bases=(
                nautobot.extras.models.mixins.DynamicGroupMixin,
                nautobot.extras.models.mixins.NotesMixin,
                models.Model,
            ),
        ),
    ]
